---
title: "Look up a Colombian judicial statement"
description: "Read the document-matched identity fields and verbatim source statement, when available. A statement about pending matters is not a criminal conviction history.\n\n- **Scopes:** any one of `account:organizations:read`, `account:connections:read`, `account:connections:write`\n- **Credentials:** an API key, a client-credentials token or a person's access token\n- **Effect:** read-only; safe to retry\n- **Limits:** request body up to 32 KB, response up to 256 KB\n- **CLI:** `arbol policiacolombia judicial-records lookup` · **MCP tool:** `policia_colombia_judicial_records_lookup`"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Policía Colombia API › Judicial records

`POST /v1/policia-colombia/judicial-records/lookup`

Read the document-matched identity fields and verbatim source statement, when available. A statement about pending matters is not a criminal conviction history.

- **Scopes:** any one of `account:organizations:read`, `account:connections:read`, `account:connections:write`
- **Credentials:** an API key, a client-credentials token or a person's access token
- **Effect:** read-only; safe to retry
- **Limits:** request body up to 32 KB, response up to 256 KB
- **CLI:** `arbol policiacolombia judicial-records lookup` · **MCP tool:** `policia_colombia_judicial_records_lookup`

## Authentication

Requires one of the following:

- `arbolHuman`, oauth2, scopes: `account:organizations:read`
- `arbolHuman`, oauth2, scopes: `account:connections:read`
- `arbolHuman`, oauth2, scopes: `account:connections:write`
- `arbolMachine`, oauth2, scopes: `account:organizations:read`
- `arbolMachine`, oauth2, scopes: `account:connections:read`
- `arbolMachine`, oauth2, scopes: `account:connections:write`
- `arbolApiKey`, http, header `Authorization`

## Request body

_Required._

- `documentType` (`policia-colombia.judicialRecords.lookup.documentType`; string, required)
  - one of `"CC"`, `"CE"`, `"PA"`, `"PPT"`, `"DP"`
- `documentNumber` (`policia-colombia.judicialRecords.lookup.documentNumber`; string, required)
  - pattern `^[A-Z0-9]{1,20}$`
- `agentMode` (`policia-colombia.judicialRecords.lookup.agentMode`; boolean, optional) — Return a concise Spanish presentation of the same observation.
  - default `false`

## Example request

```json
{
  "documentType": "CC",
  "documentNumber": "string",
  "agentMode": false
}
```

## Code samples

### cURL

```bash
curl https://api.getarbol.com/v1/policia-colombia/judicial-records/lookup \
  --request POST \
  --header "Authorization: Bearer $ARBOL_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "documentType": "CC",
  "documentNumber": "<documentNumber>"
}'
```

### TypeScript

```typescript
import { createClient } from "@arbol-ai/sdk";

const arbol = createClient({
  baseUrl: "https://api.getarbol.com",
  token: process.env.ARBOL_API_KEY!,
});

const { data } = await arbol.policiaColombia.judicialRecords.lookup({
  documentType: "CC",
  documentNumber: "<documentNumber>",
});
```

### Rust

```rust
use arbol_sdk::{types, Client, Credential};

let arbol = Client::new(Credential::ApiKey(std::env::var("ARBOL_API_KEY")?))?;

let data = arbol
    .policia_colombia()
    .judicial_records()
    .lookup(&types::PoliciaColombiaJudicialRecordsLookupInput {
        document_type: types::PoliciaColombiaJudicialRecordsLookupInputDocumentType::CC,
        document_number: "<documentNumber>".into(),
        agent_mode: None,
    })
    .await?;
```

### CLI

```bash
arbol policiacolombia judicial-records lookup --document-type CC --document-number '<documentNumber>'
```

### MCP

```json
{
  "name": "policia_colombia_judicial_records_lookup",
  "arguments": {
    "documentType": "CC",
    "documentNumber": "<documentNumber>"
  }
}
```

## Responses

### 200

Successful operation.

#### Body (application/json)

- `success` (`policia-colombia.judicialRecords.lookup.response.200.success`; boolean, required)
  - one of `true`
- `data` (`policia-colombia.judicialRecords.lookup.response.200.data`; any of, required)
  - any of: `object`, `object`, `object`
- `error` (`policia-colombia.judicialRecords.lookup.response.200.error`; unknown, required)
- `metadata` (`policia-colombia.judicialRecords.lookup.response.200.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.200.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

##### Example

```json
{
  "success": true,
  "data": {
    "documentType": "CC",
    "documentNumber": "string",
    "fullName": "string",
    "judicialStatus": "no_pending_matters",
    "observedAt": "2019-08-24T14:15:22Z",
    "details": "string",
    "identityStatus": "document_matched"
  },
  "error": null,
  "metadata": {
    "requestId": "string"
  }
}
```

#### Body (text/plain)

##### Example

```text
string
```

### 400

`INVALID_INPUT`: The request does not match the published schema.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "INVALID_INPUT",
    "message": "string",
    "retryable": false,
    "data": {
      "issues": [
        {
          "path": "string",
          "message": "string"
        }
      ]
    }
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.400.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.400.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.400.error`; object, required) — The request does not match the published schema.
  - `code` (`policia-colombia.judicialRecords.lookup.response.400.error.code`; string, required) — The failure code, stable across releases.
    - one of `"INVALID_INPUT"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.400.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.400.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.400.error.data`; object, required)
    - `issues` (`policia-colombia.judicialRecords.lookup.response.400.error.data.issues`; array<object>, optional)
      - `path` (`policia-colombia.judicialRecords.lookup.response.400.error.data.issues.path`; string, required) — RFC 6901 JSON Pointer to the refused field; empty for the whole input.
        - maxLength 256
      - `message` (`policia-colombia.judicialRecords.lookup.response.400.error.data.issues.message`; string, required)
        - maxLength 256
- `metadata` (`policia-colombia.judicialRecords.lookup.response.400.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.400.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 401

`UNAUTHORIZED`: A valid access token is required.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.401.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.401.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.401.error`; object, required) — A valid access token is required.
  - `code` (`policia-colombia.judicialRecords.lookup.response.401.error.code`; string, required) — The failure code, stable across releases.
    - one of `"UNAUTHORIZED"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.401.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.401.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.401.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.401.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.401.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 403

`FORBIDDEN`: The token does not authorize this operation.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "FORBIDDEN",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.403.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.403.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.403.error`; object, required) — The token does not authorize this operation.
  - `code` (`policia-colombia.judicialRecords.lookup.response.403.error.code`; string, required) — The failure code, stable across releases.
    - one of `"FORBIDDEN"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.403.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.403.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.403.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.403.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.403.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 413

`REQUEST_TOO_LARGE`: The request exceeds the allowed size.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "REQUEST_TOO_LARGE",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.413.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.413.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.413.error`; object, required) — The request exceeds the allowed size.
  - `code` (`policia-colombia.judicialRecords.lookup.response.413.error.code`; string, required) — The failure code, stable across releases.
    - one of `"REQUEST_TOO_LARGE"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.413.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.413.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.413.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.413.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.413.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 415

`UNSUPPORTED_MEDIA_TYPE`: The request content type is not supported.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "UNSUPPORTED_MEDIA_TYPE",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.415.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.415.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.415.error`; object, required) — The request content type is not supported.
  - `code` (`policia-colombia.judicialRecords.lookup.response.415.error.code`; string, required) — The failure code, stable across releases.
    - one of `"UNSUPPORTED_MEDIA_TYPE"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.415.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.415.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.415.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.415.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.415.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 429

`RATE_LIMITED`: The request rate limit was exceeded. Try again later.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "RATE_LIMITED",
    "message": "string",
    "retryable": true,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.429.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.429.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.429.error`; object, required) — The request rate limit was exceeded. Try again later.
  - `code` (`policia-colombia.judicialRecords.lookup.response.429.error.code`; string, required) — The failure code, stable across releases.
    - one of `"RATE_LIMITED"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.429.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.429.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `true`
  - `data` (`policia-colombia.judicialRecords.lookup.response.429.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.429.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.429.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 500

`INTERNAL_ERROR`: The service could not complete the operation.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.500.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.500.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.500.error`; object, required) — The service could not complete the operation.
  - `code` (`policia-colombia.judicialRecords.lookup.response.500.error.code`; string, required) — The failure code, stable across releases.
    - one of `"INTERNAL_ERROR"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.500.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.500.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.500.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.500.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.500.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 502

`OUTCOME_UNKNOWN`: The operation may have been applied; check its result before repeating it.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "OUTCOME_UNKNOWN",
    "message": "string",
    "retryable": false,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.502.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.502.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.502.error`; object, required) — The operation may have been applied; check its result before repeating it.
  - `code` (`policia-colombia.judicialRecords.lookup.response.502.error.code`; string, required) — The failure code, stable across releases.
    - one of `"OUTCOME_UNKNOWN"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.502.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.502.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `false`
  - `data` (`policia-colombia.judicialRecords.lookup.response.502.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.502.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.502.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 503

`UPSTREAM_UNAVAILABLE`: The upstream service could not complete the request.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "UPSTREAM_UNAVAILABLE",
    "message": "string",
    "retryable": true,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.503.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.503.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.503.error`; object, required) — The upstream service could not complete the request.
  - `code` (`policia-colombia.judicialRecords.lookup.response.503.error.code`; string, required) — The failure code, stable across releases.
    - one of `"UPSTREAM_UNAVAILABLE"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.503.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.503.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `true`
  - `data` (`policia-colombia.judicialRecords.lookup.response.503.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.503.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.503.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.

### 504

`UPSTREAM_TIMEOUT`: The upstream service did not respond before its deadline.

#### Example

```json
{
  "success": false,
  "data": null,
  "error": {
    "code": "UPSTREAM_TIMEOUT",
    "message": "string",
    "retryable": true,
    "data": {}
  },
  "metadata": {
    "requestId": "string"
  }
}
```

- `success` (`policia-colombia.judicialRecords.lookup.response.504.success`; boolean, required)
  - one of `false`
- `data` (`policia-colombia.judicialRecords.lookup.response.504.data`; unknown, required)
- `error` (`policia-colombia.judicialRecords.lookup.response.504.error`; object, required) — The upstream service did not respond before its deadline.
  - `code` (`policia-colombia.judicialRecords.lookup.response.504.error.code`; string, required) — The failure code, stable across releases.
    - one of `"UPSTREAM_TIMEOUT"`
  - `message` (`policia-colombia.judicialRecords.lookup.response.504.error.message`; string, required) — What went wrong, for people; it never contains input values.
  - `retryable` (`policia-colombia.judicialRecords.lookup.response.504.error.retryable`; boolean, required) — Whether repeating the same request may succeed.
    - one of `true`
  - `data` (`policia-colombia.judicialRecords.lookup.response.504.error.data`; object, required) — No fields.
- `metadata` (`policia-colombia.judicialRecords.lookup.response.504.metadata`; object, required) — What every answer carries besides its data or error.
  - `requestId` (`policia-colombia.judicialRecords.lookup.response.504.metadata.requestId`; string, required) — Request correlation identifier, also sent as X-Request-Id.


Source: https://docs.getarbol.com/api/policia-colombia/judicial-records/lookup/index.md
